IFAPI_IMA_TEMPLATE Struct Reference

## Data Fields

bool | convert_to_big_endian
struct { |
UINT32 pcr |
UINT8 digest [TPM2_SHA512_DIGEST_SIZE+sizeof(UINT32)+3] |
} | header
UINT32 | ima_type_size
size_t | hash_size
TPMI_ALG_HASH | hash_alg
char | ima_type [TCG_EVENT_NAME_LEN_MAX+1]
char * | name
UINT32 | event_size
UINT8 * | event_buffer

## Field Documentation

## event_buffer

UINT8* event_buffer

The data after header and name

The documentation for this struct was generated from the following file:

- src/tss2-fapi/ifapi_ima_eventlog.h